// *=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
// ** Copyright UCAR (c) 1992 - 2019
// ** University Corporation for Atmospheric Research (UCAR)
// ** National Center for Atmospheric Research (NCAR)
// ** Research Applications Lab (RAL)
// ** P.O.Box 3000, Boulder, Colorado, 80307-3000, USA
// *=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*


////////////////////////////////////////////////////////////////////////


#ifndef  __MET_PYTHON3_UTIL_H__
#define  __MET_PYTHON3_UTIL_H__


////////////////////////////////////////////////////////////////////////


#include <iostream>


////////////////////////////////////////////////////////////////////////


extern "C" {

#include "Python.h"

}


////////////////////////////////////////////////////////////////////////


static const char user_python_path_env [] = "MET_PYTHON_EXE";

static const char wrappers_dir         [] = "MET_BASE/wrappers";


////////////////////////////////////////////////////////////////////////


static const int max_tuple_data_dims = 10;


////////////////////////////////////////////////////////////////////////


extern std::ostream & operator<<(std::ostream &, PyObject *);


////////////////////////////////////////////////////////////////////////

   //
   //  returns null if the given object has no attribute of that name
   //

extern PyObject * get_attribute(PyObject *, const char * attribute_name);


////////////////////////////////////////////////////////////////////////


extern int          pyobject_as_int           (PyObject *);
extern double       pyobject_as_double        (PyObject *);
extern std::string  pyobject_as_string        (PyObject *);
extern ConcatString pyobject_as_concat_string (PyObject *);


////////////////////////////////////////////////////////////////////////


extern void run_python_string(const char *);


////////////////////////////////////////////////////////////////////////


#endif   /*  __MET_PYTHON3_UTIL_H__  */


////////////////////////////////////////////////////////////////////////

